searchData={"items":[{"type":"module","title":"Htmx","doc":"Provides a custom sigil for working with HTMX components.","ref":"Htmx.html"},{"type":"module","title":"Example - Htmx","doc":"def render(assigns) do\n    ~HTMX\"   \"\n  end","ref":"Htmx.html#module-example"},{"type":"macro","title":"Htmx.sigil_HTMX/2","doc":"","ref":"Htmx.html#sigil_HTMX/2"},{"type":"behaviour","title":"Htmx.Component","doc":"A module for building and managing HTMX components.\n\nThis module provides a set of behaviours and","ref":"Htmx.Component.html"},{"type":"behaviour","title":"Callbacks - Htmx.Component","doc":"- `mount/1`: Fetches data for the render function in stores it in the connection.\n- `render/1`: Renders the component to a HTML string.","ref":"Htmx.Component.html#module-callbacks"},{"type":"behaviour","title":"Usage - Htmx.Component","doc":"You can either use the SmartCell `KinoHtmx.ComponentCell` or\ndefine your own cell:\n\n    defmodule Htmx.Component.Get.Path do\n      use Htmx.Component, method: \"get\", path: \"/path\"\n\n      def mount(conn), do: {:ok, conn}\n\n      def render(assigns), do: ~HTMX\" Hello World\"\n    end\n  \nFor the module name you need to use the following scheme:\n`Htmx.Compnent. . ` so the router can automatically\ncreate the routes.","ref":"Htmx.Component.html#module-usage"},{"type":"callback","title":"Htmx.Component.mount/1","doc":"","ref":"Htmx.Component.html#c:mount/1"},{"type":"function","title":"Htmx.Component.new/4","doc":"","ref":"Htmx.Component.html#new/4"},{"type":"callback","title":"Htmx.Component.render/1","doc":"","ref":"Htmx.Component.html#c:render/1"},{"type":"module","title":"Htmx.Router","doc":"Struct for building router output.","ref":"Htmx.Router.html"},{"type":"function","title":"Htmx.Router.kino_output/1","doc":"","ref":"Htmx.Router.html#kino_output/1"},{"type":"module","title":"Kino.HtmxComponent","doc":"A kino for rendering the content of a component.","ref":"Kino.HtmxComponent.html"},{"type":"function","title":"Kino.HtmxComponent.new/1","doc":"","ref":"Kino.HtmxComponent.html#new/1"},{"type":"module","title":"Kino.HtmxRouter","doc":"A kino for displaying information of `Htmx.Router`.","ref":"Kino.HtmxRouter.html"},{"type":"function","title":"Kino.HtmxRouter.new/1","doc":"","ref":"Kino.HtmxRouter.html#new/1"},{"type":"module","title":"KinoHtmx","doc":"","ref":"KinoHtmx.html"},{"type":"function","title":"KinoHtmx.output/0","doc":"","ref":"KinoHtmx.html#output/0"},{"type":"extras","title":"README","doc":"&#x2764; \n   \n    \n   \n \n\n[![Version](https://img.shields.io/hexpm/v/kino_htmx?color=b5a3be)](https://hex.pm/packages/kino_htmx)","ref":"readme.html"},{"type":"extras","title":"HTMX Meets Livebook: A match made in heaven. - README","doc":"","ref":"readme.html#htmx-meets-livebook-a-match-made-in-heaven"}],"content_type":"text/markdown"}